@import "mixins/mixins";
@import "common/var";
@import "common/transition";

@include b(collapse) {
  border: 0;
}

@include b(collapse-item) {
  margin-bottom: 15px;

  &:last-child {
    margin-bottom: 0px;
  }

  @include e(header) {
    cursor: pointer;
    background-color: #272c3b;
    border: 0;
    border-radius: 3px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 20px;
    outline: none;

    font-size: 24px;
    line-height: 30px;
    font-weight: bold;
    letter-spacing: 1.2px;
    color: #9badd6;
    text-transform: uppercase;
    transition: 0.25s all linear;

    @include e(arrow) {
      width: 16px;
      height: 16px;
      position: relative;
      margin-left: 10px;
      flex: none;
      display: block;
      transition: transform .3s;

      &::before {
        content: '';
        position: absolute;
        left: 0;
        right: 0;
        top: 50%;
        transform: translateY(-50%);
        height: 3px;
        background: #7683ad;
        transition: 0.25s all linear;
      }

      &::after {
        content: '';
        position: absolute;
        left: 50%;
        top: 0;
        bottom: 0;
        transform: translateX(-50%);
        width: 3px;
        background: #7683ad;
        transition: 0.25s all linear;
      }
      
      @include when(active) {
        transform: rotate(90deg);

        &::before {
          background-color: rgba(#7683ad,0);
        }

        &::after {
          background-color: #00ffb3;
        }
      }
    }

    @include when(active) {
      color: #ffffff;
    }
  }

  @include e(wrap) {
    will-change: height;
    overflow: hidden;
    box-sizing: border-box;
    background-color: inherit;
    border-bottom: 0;
  }

  @include e(content) {
    padding: 0;

    ul {
      margin: 0;
      padding: 25px 0 0 0;
      list-style: none;

      @media (min-width: 1199.98px) {
        padding: 25px 20px;
      }

      li {
        margin-bottom: 10px;

        &:last-child {
          margin-bottom: 0px;
        }

        a {
          font-size: 20px;
          line-height: 30px;
          letter-spacing: 0px;
          color: #9badd6;

          &.is-active {
            color: #ffffff;
          }
        }
      }
    }

  }

  &:last-child {
    margin-bottom: -1px;
  }
}



.sidebar-tab {
  $self: &;

  &.is-active {
    #{ $self }__title {
      span {
        color: #ffffff;
      }

      div.toggle {
        &::before {
          background-color: #00ffb3;
        }

        &::after {
          opacity: 0;
        }
      }
    }

    #{ $self }__content {
      max-height: 1000px;
      transition: max-height 1s linear;
    }
  }

  &__flex {
    display: flex;
    align-items: center;
    white-space: nowrap;
    overflow-x: auto;
    overflow-y: hidden;
    margin: 10px -30px 0 -30px;
    padding-left: 10px;

    >div {
      padding-right: 10px;
    }

    #{ $self } {
      margin-bottom: 0px;
    }
  }

  &__title {
    background: #272c3b;
    border-radius: 3px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 20px;

    span {
      font-size: 24px;
      line-height: 30px;
      font-weight: bold;
      letter-spacing: 1.2px;
      color: #9badd6;
      text-transform: uppercase;
    }

    div.toggle {
      width: 16px;
      height: 16px;
      position: relative;
      margin-left: 10px;
      flex: none;

      &::before {
        content: '';
        position: absolute;
        left: 0;
        right: 0;
        top: 50%;
        transform: translateY(-50%);
        height: 3px;
        background: #7683ad;
        transition: 0.25s all linear;
      }

      &::after {
        content: '';
        position: absolute;
        left: 50%;
        top: 0;
        bottom: 0;
        transform: translateX(-50%);
        width: 3px;
        background: #7683ad;
        transition: 0.25s all linear;
      }
    }
  }

  &__content {
    max-height: 0;
    transition: max-height 0.5s linear;
    overflow: hidden;

    ul {
      margin: 0;
      padding: 25px 0 0 0;
      list-style: none;

      li {
        margin-bottom: 10px;

        &:last-child {
          margin-bottom: 0px;
        }

        a {
          font-size: 20px;
          line-height: 30px;
          letter-spacing: 0px;
          color: #9badd6;

          &.is-active {
            color: #ffffff;
          }
        }
      }
    }
  }
}

@media (min-width: 1199.98px) {
  .sidebar-tab {
    margin-bottom: 15px;

    &:last-child {
      margin-bottom: 0px;
    }

    &__content {
      ul {
        padding: 25px 20px;
      }
    }
  }
}